Bug 1146289 - spice drag and drop doesn't open nautilus in the VM on the first attempt
Summary: spice drag and drop doesn't open nautilus in the VM on the first attempt
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-24 23:26 UTC by Cole Robinson
Modified: 2015-12-02 16:18 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:57:23 UTC


Attachments (Terms of Use)

Description Cole Robinson 2014-09-24 23:26:46 UTC
$ rpm -q spice-vdagent
spice-vdagent-0.15.0-3.fc21.x86_64

f21 host/guest/client

Using virt-manager, I'm dragging a very small text document from nautilus on the host on the spice widget. First try it took two attempts before nautilus in the VM opened up, however both files had been transferred. Every subsequent attempt seemed to open nautilus successfully.

Restarted the VM, tried again, this time it took 4 drag attempts before nautilus opened in the VM. I waited for 15 seconds inbetween the first two attempts to see if things were just being slow. Again all the files were transferred, it's just about the window actually launching.

Comment 1 Pavel Grunt 2015-08-28 10:49:17 UTC
I could not reproduce the issue after i changed the default file manager from nautilus to thunar. spice-vdagent just calls 'xdg-open dir' to open the directory

Comment 2 Christophe Fergeau 2015-09-01 14:46:35 UTC
Is 'xdg-open dir' working the first try when the default file manager is nautilus and when nautilus is not already running (ie killall nautilus first)?
This could be https://bugzilla.gnome.org/show_bug.cgi?id=746534

Comment 3 Fedora End Of Life 2015-11-04 10:39:51 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-12-02 03:57:28 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.